Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 584733 - Crash in uzbl tring to open an image in a new window
Crash in uzbl tring to open an image in a new window
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: uzbl (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 06:09 EDT by Fabien Archambault
Modified: 2010-09-15 18:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: uzbl-0-0.18.20100626gitafc0f873e.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-14 01:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabien Archambault 2010-04-22 06:09:27 EDT
Description of problem: Tried to open an image on a new window


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1. Go to this link : http://www.legrandforum.com/avis/Ordinateurs-Composants/concurrent-inspiron-serieux-sujet_2114_1.htm#t14352
2. Right click on the image and Open image in a new window

Actual results: crash with abrt open but cannot send through it...


Additional info: If needed I can send to uzbl-dev.

Here is the backtrace of abrt :
[New Thread 27773]
[New Thread 27776]
[New Thread 27826]
[New Thread 27777]
[New Thread 27872]
[New Thread 27825]
[New Thread 27827]
[New Thread 27878]
[New Thread 27873]
Core was generated by `uzbl-core -u http://www.lesnumeriques.com/dell-inspiron-zino-hd-serieux-concurr'.
Program terminated with signal 11, Segmentation fault.
#0  __pthread_mutex_lock (mutex=0x7f1bac3b6068) at pthread_mutex_lock.c:50
50	  unsigned int type = PTHREAD_MUTEX_TYPE (mutex);

Thread 9 (Thread 27873):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
No locals.
#1  0x00007f1bad43ffdc in ?? ()
   from /usr/lib64/mozilla/plugins/libflashplayer.so
No symbol table info available.
#2  0x00007f1bad546f6d in ?? ()
   from /usr/lib64/mozilla/plugins/libflashplayer.so
No symbol table info available.
#3  0x00007f1bad440401 in ?? ()
   from /usr/lib64/mozilla/plugins/libflashplayer.so
No symbol table info available.
#4  0x0000003506207951 in start_thread (arg=0x7f1b9cdfa710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f1b9cdfa710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139756572747536, 
    -8145753799222277462, 140734247547216, 139756572748240, 0, 3, 
    8125410363330087594, -8169964773843055958}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#5  0x00000035056e4d3d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 8 (Thread 27878):
#0  0x00000035056db623 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 1
        _a3 = 4751
        _a1 = 139756752547152
        resultvar = <value optimized out>
        __arg3 = 4751
        __arg1 = 139756752547152
        _a2 = 1
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x000000350760a343 in send_dg (statp=0x7f1ba7975dc8, buf=
    0x7f1ba7972ec0 "\023F\001", buflen=34, buf2=0x7f1ba7972ee4 "\032&\001", 
    buflen2=34, ansp=0x7f1ba7972e28, anssizp=0x7f1ba7972e90, terrno=
    0x7f1ba7972e38, ns=0, v_circuit=0x7f1ba7972e34, gotsomewhere=
    0x7f1ba7972e3c, anscp=0x7f1ba7974380, ansp2=0x7f1ba7974378, anssizp2=
    0x7f1ba797439c, resplen2=0x7f1ba7974398) at res_send.c:1058
        hp = 0x7f1ba7972ec0
        hp2 = 0x7f1ba7972ee4
        ans = <value optimized out>
        orig_anssizp = 2048
        pfd = {{fd = 39, events = 1, revents = 0}}
        from = {sin6_family = 2, sin6_port = 13568, sin6_flowinfo = 16872609, 
          sin6_addr = {__in6_u = {__u6_addr8 = 
    "\000\000\000\000\000\000\000\000\001\000\000\000\000\000\000", 
              __u6_addr16 = {0, 0, 0, 0, 1, 0, 0, 0}, __u6_addr32 = {0, 0, 1, 
    0}}}, sin6_scope_id = 67}
        resplen = 156
        n = <value optimized out>
        seconds = 5
        single_request = false
        single_request_reopen = false
        save_gotsomewhere = 0
        retval = <value optimized out>
        need_recompute = 0
        nwritten = <value optimized out>
        recvresp1 = <value optimized out>
        recvresp2 = 1
        __PRETTY_FUNCTION__ = "send_dg"
#2  0x000000350760bfb4 in __libc_res_nsend (statp=0x7f1ba7975dc8, buf=
    0x7f1ba7972ec0 "\023F\001", buflen=34, buf2=0x7f1ba7972ee4 "\032&\001", 
    buflen2=34, ans=0x7f1ba7973b10 "\032&\201\200", anssiz=2048, ansp=
    0x7f1ba7974380, ansp2=0x7f1ba7974378, nansp2=0x7f1ba797439c, resplen2=
    0x7f1ba7974398) at res_send.c:556
        gotsomewhere = 1
        terrno = 110
        try = 0
        v_circuit = 0
        resplen = <value optimized out>
        ns = <value optimized out>
        n = <value optimized out>
#3  0x0000003507608635 in __libc_res_nquery (statp=0x7f1ba7975dc8, name=
    0x288cde0 "reviews.cnet.com", class=1, type=62321, answer=
    0x7f1ba7973b10 "\032&\201\200", anslen=2048, answerp=0x7f1ba7974380, 
    answerp2=0x7f1ba7974378, nanswerp2=0x7f1ba797439c, resplen2=
    0x7f1ba7974398) at res_query.c:225
        hp = 0x7f1ba7973b10
        n = 34
        use_malloc = 0
        oflags = 0
        bufsize = 544
        buf = 0x7f1ba7972ec0 "\023F\001"
        query1 = 0x7f1ba7972ec0 "\023F\001"
        nquery1 = <value optimized out>
        query2 = 0x7f1ba7972ee4 "\032&\001"
        nquery2 = 34
        __PRETTY_FUNCTION__ = "__libc_res_nquery"
        hp2 = <value optimized out>
#4  0x0000003507608bf1 in __libc_res_nquerydomain (statp=0x7f1ba7975dc8, name=
    0x288cde0 "reviews.cnet.com", domain=<value optimized out>, class=1, type=
    62321, answer=0x7f1ba7973b10 "\032&\201\200", anslen=2048, answerp=
    0x7f1ba7974380, answerp2=0x7f1ba7974378, nanswerp2=0x7f1ba797439c, 
    resplen2=0x7f1ba7974398) at res_query.c:576
        nbuf = '\000' <repeats 1024 times>
        longname = <value optimized out>
        n = <value optimized out>
        d = <value optimized out>
#5  0x0000003507609775 in __libc_res_nsearch (statp=0x7f1ba7975dc8, name=
    0x288cde0 "reviews.cnet.com", class=1, type=62321, answer=
    0x7f1ba7973b10 "\032&\201\200", anslen=2048, answerp=0x7f1ba7974380, 
    answerp2=0x7f1ba7974378, nanswerp2=0x7f1ba797439c, resplen2=
    0x7f1ba7974398) at res_query.c:377
        cp = <value optimized out>
        domain = <value optimized out>
        hp = 0x7f1ba7973b10
        tmp = 
    "\000\000\000\000\000\000\000\000\320\006", '\000' <repeats 14 times>, "\001\000\000\000\000\000\000\000\220\000\000\000\000\000\000\000\a\000\000\000|\000\000\000w\000\000\000n\000\000\000[\000\000\000\061", '\000' <repeats 11 times>, " \000\000\274\033\177\000\000`I\227\247\033\177\000\000`\000\000\000\000\000\000\000\240H\227\247\033\177\000\000\060\070\227\247\033\177\000\000}l\000\000\000\000\000\000\302\312g\005\065", '\000' <repeats 43 times>, "`\000\000\000\000\000\000\000`I\227\247\033\177\000\000'\000\000\000\000\000\000\000\240H\227\247\033\177\000\000\062\300p\005\065\000\000\000\000@\000\000\003\000\000\000\376\200\000\000\000\000\000\000\002!\\\377\376^\002\323\240\067\227\247\033\177", '\000' <repeats 19 times>"\200, \000\000\001", '\000' <repeats 18 times>, "\001\320\067\227\247\033"...
        dots = <value optimized out>
        trailing_dot = <value optimized out>
        ret = <value optimized out>
        saved_herrno = -1
        got_nodata = 0
        got_servfail = 0
        root_on_list = 0
        tried_as_is = 0
#6  0x00007f1bcade17b7 in _nss_dns_gethostbyname4_r (name=
    0x288cde0 "reviews.cnet.com", pat=0x7f1ba7974968, buffer=
    0x7f1ba7974400 "", buflen=1024, errnop=0x7f1ba797497c, herrnop=
    0x7f1ba7974978, ttlp=0x0) at nss_dns/dns-host.c:314
        host_buffer = {buf = 0x7f1ba7973b10, ptr = 
    0x7f1ba7973b10 "\032&\201\200"}
        orig_host_buffer = 0x7f1ba7973b10
        ans2p = 0x0
        nans2p = 0
        resplen2 = 0
        olderr = 0
        status = <value optimized out>
        n = <value optimized out>
#7  0x00000035056cd1dc in gaih_inet (name=0x288cde0 "reviews.cnet.com", 
    service=<value optimized out>, req=0x350a4b3780, 
    pai=<value optimized out>, naddrs=0x7f1ba7974b68)
    at ../sysdeps/posix/getaddrinfo.c:715
        herrno = 1
        fct4 = 0x7f1bcade16d0 <_nss_dns_gethostbyname4_r>
        no_more = <value optimized out>
        old_res_options = 524993
        tmpbuf = 0x7f1ba7974400 ""
        nip = 0x217a7f0
        status = <value optimized out>
        pat = 0x7f1ba7974968
        no_data = 0
        no_inet6_data = <value optimized out>
        inet6_status = <value optimized out>
        tmpbuflen = 1024
        tp = <value optimized out>
        st = 0x7f1ba7974850
        at = 0x7f1ba7974810
        rc = 0
        got_ipv6 = <value optimized out>
        canon = 0x0
        orig_name = 0x288cde0 "reviews.cnet.com"
        port = <value optimized out>
        __PRETTY_FUNCTION__ = "gaih_inet"
#8  0x00000035056cef90 in getaddrinfo (name=0x288cde0 "reviews.cnet.com", 
    service=<value optimized out>, hints=0x350a4b3780, pai=0x7f1ba7974bb8)
    at ../sysdeps/posix/getaddrinfo.c:2159
        i = 0
        last_i = 0
        nresults = 0
        p = 0x0
        gaih_service = {name = 0x0, num = 2032}
        pservice = <value optimized out>
        local_hints = {ai_flags = 119, ai_family = 110, ai_socktype = 95, 
          ai_protocol = 80, ai_addrlen = 0, ai_addr = 0x7f0, ai_canonname = 
    0x7f0 <Address 0x7f0 out of bounds>, ai_next = 0x7f1bbc000020}
        in6ai = 0x7f1bbc0010c0
        in6ailen = 4
        seen_ipv4 = true
        seen_ipv6 = true
        end = 0x7f1ba7974b58
        naddrs = 0
        __PRETTY_FUNCTION__ = "getaddrinfo"
#9  0x000000350a25c8cc in do_lookup_by_name (req=0x7f1bc4001d20, error=
    0x7f1bc4001d48) at gthreadedresolver.c:374
        res = 0x0
        retval = <value optimized out>
#10 0x000000350a25c27a in threaded_resolver_thread (thread_data=
    0x7f1bc4001d20, pool_data=<value optimized out>)
    at gthreadedresolver.c:309
        req = 0x7f1bc4001d20
#11 0x0000003507266d4b in g_thread_pool_thread_proxy (
    data=<value optimized out>) at gthreadpool.c:315
        task = 0x7f1bc4001d20
        pool = 0x21e61a0
#12 0x0000003507264e84 in g_thread_create_proxy (data=0x27e4780)
    at gthread.c:1893
        thread = 0x27e4780
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#13 0x0000003506207951 in start_thread (arg=0x7f1ba7975710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f1ba7975710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139756752557840, 
    -8145753799222277462, 140734247556992, 139756752558544, 0, 3, 
    8125398889861827242, -8169964773843055958}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#14 0x00000035056e4d3d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 7 (Thread 27827):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
No locals.
#1  0x00007f1bab51cee1 in queue_processor(void*) ()
   from /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/amd64/IcedTeaNPPlugin.so
No symbol table info available.
#2  0x0000003506207951 in start_thread (arg=0x7f1bc9f3e710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f1bc9f3e710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139757329049360, 
    -8145753799222277462, 227736099584, 139757329050064, 0, 3, 
    8125597587396971178, -8169964773843055958}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#3  0x00000035056e4d3d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 6 (Thread 27825):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
No locals.
#1  0x00007f1bab51cee1 in queue_processor(void*) ()
   from /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/amd64/IcedTeaNPPlugin.so
No symbol table info available.
#2  0x0000003506207951 in start_thread (arg=0x7f1bcba0e710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f1bcba0e710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139757357164304, 
    -8145753799222277462, 227736099584, 139757357165008, 0, 3, 
    8125601289658780330, -8169964773843055958}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#3  0x00000035056e4d3d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 5 (Thread 27872):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
No locals.
#1  0x00007f1bad43ffdc in ?? ()
   from /usr/lib64/mozilla/plugins/libflashplayer.so
No symbol table info available.
#2  0x00007f1bad546f6d in ?? ()
   from /usr/lib64/mozilla/plugins/libflashplayer.so
No symbol table info available.
#3  0x00007f1bad440401 in ?? ()
   from /usr/lib64/mozilla/plugins/libflashplayer.so
No symbol table info available.
#4  0x0000003506207951 in start_thread (arg=0x7f1ba5171710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f1ba5171710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139756710598416, 
    -8145753799222277462, 140734247547216, 139756710599120, 0, 3, 
    8125393394451172010, -8169964773843055958}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#5  0x00000035056e4d3d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
Comment 1 Daiki Ueno 2010-04-23 04:39:31 EDT
I can reproduce it here.  Now I'm asking upstream for their help:
http://www.uzbl.org/bugs/index.php?do=details&task_id=231
Comment 2 Fabien Archambault 2010-04-25 16:08:00 EDT
Hello,
thanks for your reply and submission.
I do not know if this is related but on a link if you right click and click on "Open link in a new window" it does not work. But if you click with the third click button of the mouse (or right+left at the same time on a laptop) the window is opened as needed.
Comment 3 Daiki Ueno 2010-09-02 03:44:46 EDT
OK, I just posted a patch:
http://github.com/Dieterbe/uzbl/pull/9

Fabien, do you want to try a test package with the fix?
http://ueno.fedorapeople.org/uzbl/uzbl-0-0.18.20100626gitafc0f873e.fc13.src.rpm
Comment 4 Fabien Archambault 2010-09-02 04:00:51 EDT
Hello Ueno,

I rebuilded the uzbl rpm and I tried the image thing and it works! Nice patch!

Thanks a lot.
Comment 5 Fedora Update System 2010-09-05 21:42:53 EDT
uzbl-0-0.18.20100626gitafc0f873e.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/uzbl-0-0.18.20100626gitafc0f873e.fc13
Comment 6 Fedora Update System 2010-09-05 21:42:58 EDT
uzbl-0-0.18.20100626gitafc0f873e.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/uzbl-0-0.18.20100626gitafc0f873e.fc12
Comment 7 Fedora Update System 2010-09-05 21:43:02 EDT
uzbl-0-0.18.20100626gitafc0f873e.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/uzbl-0-0.18.20100626gitafc0f873e.fc14
Comment 8 Fedora Update System 2010-09-06 01:14:54 EDT
uzbl-0-0.18.20100626gitafc0f873e.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update uzbl'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/uzbl-0-0.18.20100626gitafc0f873e.fc14
Comment 9 Fedora Update System 2010-09-14 01:09:05 EDT
uzbl-0-0.18.20100626gitafc0f873e.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-09-15 18:33:51 EDT
uzbl-0-0.18.20100626gitafc0f873e.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-09-15 18:35:45 EDT
uzbl-0-0.18.20100626gitafc0f873e.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.